
From: Andi Kleen <ak@muc.de>

Remove bogus BUG_ON.

Signed-off-by: Andi Kleen <ak@muc.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/memory.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN mm/memory.c~4level-bogus-bug_on mm/memory.c
--- 25/mm/memory.c~4level-bogus-bug_on	Fri Nov  5 16:13:49 2004
+++ 25-akpm/mm/memory.c	Fri Nov  5 16:13:49 2004
@@ -153,7 +153,6 @@ static inline void free_one_pml4(struct 
 		return;
 	}
 	BUG_ON(addr & ~PGDIR_MASK);
-	BUG_ON(end & ~PGDIR_MASK);
 	pgd_start = pml4_pgd_offset(pml4, addr);
 	free = 0;
 	pgd = pgd_start;
_
